Package org.mariadb.jdbc.client.socket.impl

## Interface SocketHandlerFunction

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface SocketHandlerFunction

Construct socket depending on configuration helper

### Method Summary

All Methods Instance Methods Abstract Methods
`Socket` `apply​(Configuration conf, HostAddress hostAddress)` Create socket

### Method Detail

#### apply

    Socket apply​(Configuration conf,
                 HostAddress hostAddress)
          throws IOException,
                 SQLException

Create socket

Parameters:
  `conf` - configuration
  `hostAddress` - host
Returns:
  socket
Throws:
  `IOException` - if any socket issue occurs
  `SQLException` - for other kind of error